[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2012-3509

Date: (C)2012-09-05   (M)2017-08-29
 
CVSS Score: 5.0Access Vector: NETWORK
Exploitability Subscore: 10.0Access Complexity: LOW
Impact Subscore: 2.9Authentication: NONE
 Confidentiality: NONE
 Integrity: NONE
 Availability: PARTIAL











Multiple integer overflows in the (1) _objalloc_alloc function in objalloc.c and (2) objalloc_alloc macro in include/objalloc.h in GNU libiberty, as used by binutils 2.22, allow remote attackers to cause a denial of service (crash) via vectors related to the "addition of CHUNK_HEADER_SIZE to the length," which triggers a heap-based buffer overflow.

Reference:
BID-55281
MDVSA-2015:029
USN-2496-1
http://gcc.gnu.org/ml/gcc-patches/2012-08/msg01986.html
http://www.openwall.com/lists/oss-security/2012/08/29/3
gnu-libiberty-overflow(78135)
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=54411
http://security-tracker.debian.org/tracker/CVE-2012-3509

CPE    5
cpe:/o:canonical:ubuntu_linux:10.04::~~lts~~~
cpe:/o:canonical:ubuntu_linux:14.10
cpe:/o:debian:debian_linux:7.0
cpe:/o:canonical:ubuntu_linux:14.04::~~lts~~~
...
CWE    1
CWE-189
OVAL    7
oval:org.secpod.oval:def:107300
oval:org.secpod.oval:def:106395
oval:org.secpod.oval:def:107307
oval:org.secpod.oval:def:25574
...

© 2013 SecPod Technologies